Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrSetQueryObjectModel

    java.lang.Object
      org.modeshape.jcr.query.qom.JcrAbstractQuery
          org.modeshape.jcr.query.JcrQuery
              org.modeshape.jcr.query.qom.JcrSetQueryObjectModel

All Implemented Interfaces:
  Query, QueryCommand, SetQuery, SetQueryObjectModel

    public class JcrSetQueryObjectModel

extends JcrQuery
implements SetQueryObjectModel

Implementation of `QueryObjectModel` that represents a `select query`.

Field Summary

Fields inherited from class org.modeshape.jcr.query.qom.JcrAbstractQuery
`context, language, statement`

Fields inherited from interface javax.jcr.query.Query
`JCR_JQOM, JCR_SQL2, SQL, XPATH`

Constructor Summary
`JcrSetQueryObjectModel(JcrQueryContext context, String statement, String language, JcrSetQuery query, PlanHints hints, Path storedAtPath)` Creates a new JCR `Query` by specifying the query statement itself, the language in which the query is stated, the `QueryCommand` representation and, optionally, the node from which the query was loaded.

Method Summary
`Column[]` | `getColumns()` Gets the columns for this query.
`QueryCommand` | `getLeft()` Get the left-hand query.
`Limit` | `getLimits()` Get the limits associated with this query.
`String` | `getOperation()` Get the set operation for this query.
`Ordering[]` | `getOrderings()` Gets the orderings for this query.
`QueryCommand` | `getRight()` Get the right-hand query.
`boolean` | `isAll()` Return whether this set query is a 'UNION ALL' or 'INTERSECT ALL' or 'EXCEPT ALL' query.
`protected JcrSetQuery` | `query()`

Methods inherited from class org.modeshape.jcr.query.JcrQuery
`bindValue, execute, getAbstractQueryModel, getBindVariableNames, setLimit, setOffset, toString, variableNames`

Methods inherited from class org.modeshape.jcr.query.qom.JcrAbstractQuery
`checkForProblems, context, getLanguage, getStatement, getStoredQueryPath, pathFor, storeAsNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jcr.query.Query
`bindValue, execute, getBindVariableNames, getLanguage, getStatement, getStoredQueryPath, setLimit, setOffset, storeAsNode`

Constructor Detail

### JcrSetQueryObjectModel

    public JcrSetQueryObjectModel(JcrQueryContext context,
                                  String statement,
                                  String language,
                                  JcrSetQuery query,
                                  PlanHints hints,
                                  Path storedAtPath)

  Creates a new JCR `Query` by specifying the query statement itself, the language in which the query is stated, the `QueryCommand` representation and, optionally, the node from which the query was loaded. The language must be a string from among those returned by `QueryManager#getSupportedQueryLanguages()`.

  Parameters:
    `context` - the context that was used to create this query and that will be used to execute this query; may not be null
    `statement` - the original statement as supplied by the client; may not be null
    `language` - the language obtained from the `QueryParser`; may not be null
    `query` - the parsed query representation; may not be null
    `hints` - any hints that are to be used; may be null if there are no hints
    `storedAtPath` - the path at which this query was stored, or null if this is not a stored query

Method Detail

### query

    protected JcrSetQuery query()

  Overrides:
    `query` in class `JcrQuery`

### getLeft

    public QueryCommand getLeft()

  Get the left-hand query.

  Specified by:
    `getLeft` in interface `SetQuery`
  Returns:
    the left-hand query; never null
  See Also:
    `SetQuery.getLeft()`

### getRight

    public QueryCommand getRight()

  Get the right-hand query.

  Specified by:
    `getRight` in interface `SetQuery`
  Returns:
    the right-hand query; never null
  See Also:
    `SetQuery.getRight()`

### isAll

    public boolean isAll()

  Return whether this set query is a 'UNION ALL' or 'INTERSECT ALL' or 'EXCEPT ALL' query.

  Specified by:
    `isAll` in interface `SetQuery`
  Returns:
    true if this is an 'ALL' query, or false otherwise
  See Also:
    `SetQuery.isAll()`

### getLimits

    public Limit getLimits()

  Get the limits associated with this query.

  Specified by:
    `getLimits` in interface `QueryCommand`
  Returns:
    the limits; never null but possibly `unlimited`
  See Also:
    `QueryCommand.getLimits()`

### getOperation

    public String getOperation()

  Get the set operation for this query.

  Specified by:
    `getOperation` in interface `SetQuery`
  Returns:
    the operation; never null
  See Also:
    `SetQuery.getOperation()`

### getColumns

    public Column[] getColumns()

  Gets the columns for this query.

  Specified by:
    `getColumns` in interface `QueryCommand`
  Returns:
    an array of zero or more columns; non-null
  See Also:
    `QueryObjectModel.getColumns()`

### getOrderings

    public Ordering[] getOrderings()

  Gets the orderings for this query.

  Specified by:
    `getOrderings` in interface `QueryCommand`
  Returns:
    an array of zero or more orderings; non-null
  See Also:
    `QueryObjectModel.getOrderings()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.